:root{
    --dark:#031B3C;
    --blue:#0066FF;
    --lightblue:#18B5FF;
    --white:#FFFFFF;
    --bg:#F7F9FC;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Poppins',sans-serif;
    background:white;
    color:#111;
}

html,
body{
    overflow-x:hidden;
}

img{
    max-width:100%;
    display:block;
}

.container{
    width:90%;
    max-width:1400px;
    margin:auto;
}

.navbar{
    position:fixed;
    width:100%;
    background:rgba(255,255,255,.95);
    backdrop-filter:blur(15px);
    z-index:999;
}

.logo{
    height:55px;
}


.hero-bg{
    position:absolute;
    width:100%;
    height:100%;
    object-fit:cover;
}

.hero-overlay{
    position:absolute;
    inset:0;

    background:
    linear-gradient(
        90deg,
        rgba(3,27,60,.85) 0%,
        rgba(3,27,60,.65) 45%,
        rgba(3,27,60,.20) 100%
    );
}

.hero{
    height:100vh;
    position:relative;
    overflow:hidden;

    display:flex;
    align-items:center;
}

.hero-content{
    position:relative;
    z-index:2;
    max-width:650px;

    margin-left:8%;
    margin-top:200px;
}

.hero-logo{
    width:220px;
    margin-bottom:30px;
}

.hero h1{
    font-size:58px;
    line-height:1.1;
    max-width:650px;
    color:white;
}

.hero h1 span{
    display:block;
    color:var(--blue);
    color:#18B5FF;
}

.hero p{
    margin-top:25px;
    font-size:22px;
    color:rgba(255,255,255,.85);
}
.hero-buttons{
    display:flex;
    gap:20px;
    margin-top:35px;
    flex-wrap:wrap;
}

.btn-primary{
    background:var(--blue);
    color:white;
    padding:16px 34px;
    border-radius:10px;
    text-decoration:none;
}

.btn-secondary{
    border:2px solid rgba(255,255,255,.8);
    color:white;

    padding:16px 34px;
    border-radius:10px;

    text-decoration:none;

    backdrop-filter:blur(10px);

    transition:.3s;
}

.btn-secondary:hover{
    background:#18B5FF;
    color:white;
}

section{
    padding:120px 0;
}

.section-title span{
    color:var(--blue);
    letter-spacing:2px;
    font-weight:600;
}

.section-title h2{
    font-size:48px;
    margin-top:10px;
}

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(300px,1fr));
    gap:30px;
    margin-top:60px;
}

.card{
    background:white;
    border-radius:20px;
    overflow:hidden;
    box-shadow:0 15px 40px rgba(0,0,0,.08);
    transition:.3s;
}

.card:hover{
    transform:translateY(-10px);
}

.card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.card h3{
    padding:25px;
}

.stats{
    background:var(--dark);
    color:white;
}

.stats .container{
    display:flex;
    justify-content:space-around;
    text-align:center;
}

.stats h2{
    font-size:60px;
}

.project-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
}

.project{
    position:relative;
    overflow:hidden;
    border-radius:20px;
}

.project img{
    width:100%;
    height:450px;
    object-fit:cover;
}

.overlay{
    position:absolute;
    inset:0;
    background:rgba(3,27,60,.8);
    color:white;
    display:flex;
    align-items:center;
    justify-content:center;
    opacity:0;
    transition:.3s;
    font-size:24px;
}

.project:hover .overlay{
    opacity:1;
}

.contact{
    text-align:center;
    background:#f7f9fc;
}

footer{
    background:#031B3C;
    color:white;
    text-align:center;
    padding:60px 20px;
}

.about-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:60px;
    align-items:center;
}

.about-image img{
    width:100%;
    border-radius:20px;
    object-fit:cover;
}

footer img{
    width:120px;
    height:120px;

    border-radius:50%;

    object-fit:cover;

    margin:auto;
    margin-bottom:20px;

    border:3px solid rgba(255,255,255,.2);
}

.navbar .container{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.logo{
    height:70px;
}

nav{
    display:flex;
    gap:35px;
}

nav a{
    text-decoration:none;
    color:#031B3C;

    font-weight:600;

    position:relative;

    transition:.3s;
}

nav a::after{
    content:"";

    position:absolute;

    bottom:-8px;
    left:0;

    width:0;
    height:2px;

    background:#0066FF;

    transition:.3s;
}

nav a:hover::after{
    width:100%;
}

nav a:hover{
    color:#0066FF;
}

.navbar{

    position:fixed;

    top:15px;
    left:50%;

    transform:translateX(-50%);

    width:95%;

    border-radius:20px;

    background:rgba(255,255,255,.85);

    backdrop-filter:blur(20px);

    box-shadow:
    0 10px 30px rgba(0,0,0,.08);

    z-index:999;
}

@media(max-width:900px){

    .hero h1{
        font-size:42px;
    }

    .hero p{
        font-size:18px;
    }

    .about-grid{
        grid-template-columns:1fr;
    }

    .project-grid{
        grid-template-columns:1fr;
    }

    .stats .container{
        flex-direction:column;
        gap:40px;
    }

    nav{
        gap:15px;
        font-size:14px;
    }

    .logo{
        height:55px;
    }

}